package server

import "io"

type ClientHandler interface {
	Dial() (conn io.ReadWriteCloser, err error)
	OnHandshake(remoteAddr string, rwc io.ReadWriteCloser) error
	Handle(rwc io.ReadWriteCloser, stopChan chan struct{})

	GetAddr() string
	Validate()
}
